# Class DateFormatSymbols

java.lang.Object
java.text.DateFormatSymbols

All Implemented Interfaces:
  `Cloneable`

public class DateFormatSymbols extends Object implements Cloneable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DateFormatSymbols()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  `String[]`
  `getAmPmStrings()`
  `String[]`
  `getEras()`
  `String[]`
  `getMonths()`
  `String[]`
  `getShortMonths()`
  `String[]`
  `getShortWeekdays()`
  `String[]`
  `getWeekdays()`
  `String[][]`
  `getZoneStrings()`
  `void`
  `setAmPmStrings(String[] newAmpms)`
  `void`
  `setEras(String[] newEras)`
  `void`
  `setMonths(String[] newMonths)`
  `void`
  `setShortMonths(String[] newShortMonths)`
  `void`
  `setShortWeekdays(String[] newShortWeekdays)`
  `void`
  `setWeekdays(String[] newWeekdays)`
  `void`
  `setZoneStrings(String[][] newZoneStrings)`

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### DateFormatSymbols

    public DateFormatSymbols()

- ## Method Details

  - ### getAmPmStrings

    public String[] getAmPmStrings()

  - ### setAmPmStrings

    public void setAmPmStrings(String[] newAmpms)

  - ### getZoneStrings

    public String[][] getZoneStrings()

  - ### setZoneStrings

    public void setZoneStrings(String[][] newZoneStrings)

  - ### setShortWeekdays

    public void setShortWeekdays(String[] newShortWeekdays)

  - ### getShortWeekdays

    public String[] getShortWeekdays()

  - ### getWeekdays

    public String[] getWeekdays()

  - ### setWeekdays

    public void setWeekdays(String[] newWeekdays)

  - ### setShortMonths

    public void setShortMonths(String[] newShortMonths)

  - ### getShortMonths

    public String[] getShortMonths()

  - ### setMonths

    public void setMonths(String[] newMonths)

  - ### getMonths

    public String[] getMonths()

  - ### getEras

    public String[] getEras()

  - ### setEras

    public void setEras(String[] newEras)

  - ### clone

    public Object clone()
    Overrides:
      `clone` in class `Object`